"use strict";

exports.__esModule = true;
exports.command = void 0;
var command = {
  name: 'moveCellSelectionToMostBottom',
  callback: function callback(hot) {
    var col = hot.getSelectedRangeLast().highlight.col;
    var row = hot.rowIndexMapper.getNearestNotHiddenIndex(hot.countRows() - 1, -1);
    if (row === null) {
      row = -1;
    }
    hot.selection.setRangeStart(hot._createCellCoords(row, col));
  }
};
exports.command = command;